#include <iostream>
#include<cmath>
#include<algorithm>

using namespace std;

int br[12],posl[12],mg[1000006];

int main()
{
    ios::sync_with_stdio(false);

    int n,k,i,j,res=0,x,zam=0,pp=0,a,b;

    cin>>n;
    for(i=1;i<=n;i++)
    {
        cin>>mg[i];
        posl[mg[i]]=i;
        br[mg[i]]++;
    }

    for(i=1;i<=n;i++)
    {
        for(j=9;j>mg[i];j--)
        {
            if(posl[j]>i)
            {
                zam=1;
                a=i;  b=posl[j];
            }
          if(zam==1) break;
        }
      if(zam==1) break;
    }

    for(i=0;i<=9;i++) if(br[i]>1) pp=1;

    if(zam==0 && pp==1) {a=1;  b=1;}
    else if(zam==0) {a=n-1; b=n;}

    for(i=1;i<=n;i++)
    {
        if(i==a) cout<<mg[b]<<" ";
        else if(i==b) cout<<mg[a]<<" ";
        else cout<<mg[i]<<" ";
    }

    return 0;
}